/* eslint-disable prettier/prettier */
import React, {Component} from 'react';
import { View } from 'react-native';
import JitsiManager from '../lib/JitsiManager';
import { connect } from 'react-redux';
import ButtonBar from './ButtonBar';
import MainVideo from './MainVideo';
import ThumbnailView from './ThumbnailView';

class ConferenceScreen extends Component{
    
    constructor(props){
        super(props);
    }

    componentDidMount(){
        this.props.init(this.props.room.toLowerCase());
        JitsiManager.makeConnection();
        JitsiManager.addEventListener();
        this.props.createLocalTracks();
    }

    renderConferenceScreen(){
        return <View style={{ height: '100%', width: '100%', position: 'relative' }}><MainVideo /><ThumbnailView /><ButtonBar /></View>;
    }


    render(){
        return(
            <View style={{ height: '100%', width: '100%' }}>
                { this.renderConferenceScreen() }
            </View>
        )
        
    }
    style = { 
        lt_container : { flexDirection: 'column-reverse', alignItems: 'flex-end', position: 'absolute', right: 0, bottom: 0 }
    };
}

function mapStateToProps (state) {
    return {
      remoteTracks: state.tracks.remoteTracks
    }
}
  
function mapDispatchToProps (dispatch) {
    return {
        init: (room) => JitsiManager.init(room),
        createLocalTracks: () => JitsiManager.createLocalTracks(dispatch)
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(ConferenceScreen)