import React, {Component} from 'react';
import { View, TouchableOpacity, Image } from 'react-native';
import JitsiManager from '../lib/JitsiManager';
import { connect } from 'react-redux';

class SwitchCameraButton extends Component{
    constructor(props){
        super(props);
    }

    onSwitchCamera(){
        this.props.switchCamera();
    }

    renderSwitchCameraIcon(){
        return <TouchableOpacity onPress={()=>this.onSwitchCamera()}><Image style={this.style.lt_control_icon} source={require('../icons/icon_switch_camera.png')}/></TouchableOpacity>;
    }

    render(){
        return(
            <View style={this.style.lt_control_view}>
                { this.renderSwitchCameraIcon() }
            </View>
        )
    }

    style = {
        lt_control_icon: { width: 28, height: 28 },
        lt_control_view: { width: 48, height: 48, margin: 8, backgroundColor: 'blue', borderRadius: 50, alignItems: 'center', justifyContent:'center' }
    };
}
  
function mapDispatchToProps (dispatch) {
    return {
        switchCamera: () => JitsiManager.onSwitchCamera(),
    }
}

export default connect(null, mapDispatchToProps)(SwitchCameraButton)